DCMTK - Patch #592

Integrate patches from Osirix
2014-02-28 13:28 - Michael Onken

Status: Closed Start date: 2014-02-28
Priority: Normal Due date:

Assignee: Michael Onken % Done: 100%
Category: Library and Apps Estimated time: 0:00 hour
Target version: 3.6.1+

Module: all Compiler:

Operating System:

Description
Aaaron Boxer has sent patches originating from Osirix and "compressed" them into various commits available here:

https://github.com/OpenRadStack/dcmtk/tree/masterCustom

Since they use a rather old DCMTK copy, some of those commits have just been taken over from more recent DCMTK versions.
Others might contain real bug fixes or new features. All commits need to be checked carefully whether they still need to be applied to
DCMTK.

History

#1 - 2015-07-28 14:13 - J6rg Riesmeier
- Status changed from Assigned to Resolved
- % Done changed from 0 to 90

- Module set to all

| checked the differences back in December, 2014. Here's my response to Aaron:
In the meantime, | browsed through the OsiriX changes and found mainly two things that might be interesting for us and other DCMTK users:
1. The use "try and catch" blocks in order to catch the "bad allocation”
exception thrown by the call of "new" when non-throwing new operator is

not available.

2. The use of calloc() instead of malloc(), which makes sure that the
allocated memory is set to zero.

The following commit solves the first issue (at least for all places where the non-throwing new operator was already in use, i.e. where large
amounts of memory are allocated):

Regards,
Jorg

#2 - 2016-11-28 15:29 - Jorg Riesmeier

- Status changed from Resolved to Closed

- % Done changed from 90 to 100

As stated above, the (main) work should already be done.

Only recently, the author of OsiriX confirmed that he switched to the "latest 2016 DCMTK library".

Now, it is definitely done!
